#iOS/Android共通
module ElementHelper

  # タブをクリックする
  # @param [String] name タブ名
  # @return [void]
  def click_tab(name:)
    wait_true {
      exists { tab(name: name) }
    }

    tab(name: name).click
  end

  # エレメントが存在していたら返す
  # @param [*args] args エレメントを指定するための引数
  # @return [yield]
  def if_exists(*args)
    if exists { find_element(*args) }
      yield find_element(*args)
    end
  end

  # テキストを入力する
  # @param [String] name フォーム
  # @param [String] text 入力する文字列
  # @return [void]
  def input_text(id:, text:)
    clear_text(id: id)
    find_element(*condition(id: id)).send_keys(text)
  end

  # テキストフォームをクリアする
  # @param [String] name フォーム
  # @return [void]
  def clear_text(id:)
    if_exists(*condition(id: id)) { |elem| elem.clear }
  end

  # ボタンをクリックする
  # @param [String] name ボタン
  # @return [void]
  def click_button(id:)
    if_exists(*condition(id: id)) { |elem| elem.click }
  end

  # 要素のテキストを取得する
  # @param [String] name 要素
  # @return [String] 要素のテキスト
  def label(id:)
    find_element(*condition(id: id)).text
  end

end