//
// Copyright (c) 2017 SWET. All rights reserved.
//

import UIKit

extension UIViewController {

    /// エラーダイアログを表示します
    ///
    /// - Parameter message: String 表示するメッセージ
    func showErrorDialog(message: String) {
        
        let alert = UIAlertController(title: NSLocalizedString("error", comment: "エラー"),
                                      message: message,
                                      preferredStyle: .alert)
        alert.addAction(UIAlertAction(title: "OK", style: .default))

        self.present(alert, animated: true)
    }

    /// ネットワークアクティビティを表示します
    func showNetworkActivityIndicator() {
        UIApplication.shared.isNetworkActivityIndicatorVisible = true
    }
    
    /// ネットワークアクティビティを非表示にします
    func hideNetworkActivityIndicator() {
        UIApplication.shared.isNetworkActivityIndicatorVisible = false
    }

    func move(to: Tab) {
        let toPage = NSNumber(value: to.page.index)
        NotificationCenter.default.post(name: .movePage,
                                        object: nil,
                                        userInfo: ["toPage" : toPage])
    }

}
