//
// Copyright (c) 2017 SWET. All rights reserved.
//

extension UserState {
    
    /// ユーザの状態によってUserページを適切に表示する
    func updateView(for controller: UserController) {
        switch self {
        case .login:
            controller.loginView.isHidden = true
            controller.statusView.isHidden = false
        case .logout:
            controller.loginView.isHidden = false
            controller.statusView.isHidden = true
        }
    }
    
    /// ユーザの状態によってNoteページを適切に表示する
    func updateView(for controller: NoteController) {
        switch self {
        case .login:
            controller.notesView.isHidden = false
            controller.loginRequestView.isHidden = true
        case .logout:
            controller.notesView.isHidden = true
            controller.loginRequestView.isHidden = false
        }
    }
}
